# JsDoc Reference - CeL.application.debug

Class Index | File Index

## Classes

- _global_
- CeL
- CeL.application.debug
- CeL.application.debug.log
- CeL.application.locale
- CeL.application.net
- CeL.application.net.Ajax
- CeL.application.OS.Windows
- CeL.application.OS.Windows.file
- CeL.application.OS.Windows.HTA
- CeL.application.OS.Windows.job
- CeL.application.OS.Windows.registry
- CeL.application.OS.Windows.WMI
- CeL.application.storage.file
- CeL.data
- CeL.data.check
- CeL.data.code.API
- CeL.data.code.compatibility
- CeL.data.code.reorganize
- CeL.data.CSV
- CeL.data.math
- CeL.data.math.Hamming
- CeL.data.math.polynomial
- CeL.data.math.quotient
- CeL.data.native
- CeL.data.XML
- CeL.env
- CeL.interact.DOM
- CeL.interact.form.address
- CeL.interact.form.select_input
- CeL.interact.integrate.map
- CeL.interact.integrate.SVG

# Class CeL.application.debug

code.debug 的 functions
Defined in: debug.origin.js.

Class Summary
Constructor Attributes | Constructor Name and Description
--- | ---
| CeL.application.debug() null module constructor

Method Summary
Method Attributes | Method Name and Description
--- | ---
<static> | CeL.application.debug.JSalert(message, wait, title, type) 顯示訊息視窗 alert() 改用VBScript的MsgBox可產生更多效果，但NS不支援的樣子。

Class Detail
CeL.application.debug()
null module constructor
Method Detail
<static> {Integer} CeL.application.debug.JSalert(message, wait, title, type)
顯示訊息視窗
alert() 改用VBScript的MsgBox可產生更多效果，但NS不支援的樣子。

Parameters:
message
  message or object
{Number} wait Optional
  the maximum length of time (in seconds) you want the pop-up message box displayed.
{String} title Optional
  title of the pop-up message box.
{Number} type Optional
  type of buttons and icons you want in the pop-up message box.

Returns:
  {Integer} number of the button the user clicked to dismiss the message box.

Requires:
  CeL.get_script_name

See:
  Popup Method

Documentation generated by JsDoc Toolkit 2.4.0 on Sat Aug 20 2011 15:07:29 GMT+0800 (CST)